OGRE: Ogre::ScriptParser Class Reference - OGRE Documentation

Public Member Functions | Private Member Functions

# Ogre::ScriptParser Class Reference
[General]

`#include <OgreScriptParser.h>`

Inheritance diagram for Ogre::ScriptParser:
[legend]

List of all members.

## Public Member Functions
| ScriptParser ()
virtual | ~ScriptParser ()
ConcreteNodeListPtr | parse (const ScriptTokenListPtr &tokens)
ConcreteNodeListPtr | parseChunk (const ScriptTokenListPtr &tokens)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Private Member Functions
ScriptToken * | getToken (ScriptTokenList::iterator i, ScriptTokenList::iterator end, int offset)
ScriptTokenList::iterator | skipNewlines (ScriptTokenList::iterator i, ScriptTokenList::iterator end)

## Detailed Description

Definition at line 45 of file OgreScriptParser.h.

## Constructor & Destructor Documentation

Ogre::ScriptParser::ScriptParser | ( |  | ) |

virtual Ogre::ScriptParser::~ScriptParser | ( |  | ) | `[virtual]`

Definition at line 49 of file OgreScriptParser.h.

## Member Function Documentation

ScriptToken* Ogre::ScriptParser::getToken | ( | ScriptTokenList::iterator | i,
|  | ScriptTokenList::iterator | end,
|  | int | offset |
| ) |  |  | `[private]`

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

ConcreteNodeListPtr Ogre::ScriptParser::parse | ( | const ScriptTokenListPtr & | tokens | ) |

ConcreteNodeListPtr Ogre::ScriptParser::parseChunk | ( | const ScriptTokenListPtr & | tokens | ) |

ScriptTokenList::iterator Ogre::ScriptParser::skipNewlines | ( | ScriptTokenList::iterator | i,
|  | ScriptTokenList::iterator | end |
| ) |  |  | `[private]`

The documentation for this class was generated from the following file:

- OgreScriptParser.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:01